Atualizar pipeline
curl --request PATCH \
--url https://api.vendaze.com/v1/pipelines/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Pipeline Renomeado",
"stages": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Prospecção",
"type": "open",
"probability": 15
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Proposta Enviada",
"type": "open",
"probability": 50
},
{
"name": "Nova: Piloto",
"type": "open",
"probability": 75
},
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "Ganho",
"type": "win",
"probability": 100
},
{
"id": "d4e5f6a7-b8c9-0123-defa-234567890123",
"name": "Perdido",
"type": "lost",
"probability": 0
}
]
}
'import requests
url = "https://api.vendaze.com/v1/pipelines/{id}"
payload = {
"name": "Pipeline Renomeado",
"stages": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Prospecção",
"type": "open",
"probability": 15
},
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Proposta Enviada",
"type": "open",
"probability": 50
},
{
"name": "Nova: Piloto",
"type": "open",
"probability": 75
},
{
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"name": "Ganho",
"type": "win",
"probability": 100
},
{
"id": "d4e5f6a7-b8c9-0123-defa-234567890123",
"name": "Perdido",
"type": "lost",
"probability": 0
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Pipeline Renomeado',
stages: [
{
id: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
name: 'Prospecção',
type: 'open',
probability: 15
},
{
id: 'b2c3d4e5-f6a7-8901-bcde-f12345678901',
name: 'Proposta Enviada',
type: 'open',
probability: 50
},
{name: 'Nova: Piloto', type: 'open', probability: 75},
{
id: 'c3d4e5f6-a7b8-9012-cdef-123456789012',
name: 'Ganho',
type: 'win',
probability: 100
},
{
id: 'd4e5f6a7-b8c9-0123-defa-234567890123',
name: 'Perdido',
type: 'lost',
probability: 0
}
]
})
};
fetch('https://api.vendaze.com/v1/pipelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Novos Negócios",
"created_at": "2023-11-07T05:31:56Z",
"stages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Proposta",
"type": "open",
"probability": 40,
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "bad_request",
"message": "No fields provided for update.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "not_found",
"message": "Webhook not found.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Pipelines
Atualizar pipeline
Atualiza um pipeline. Apenas os campos enviados são modificados.
Escopo necessário
Escopo necessário
deals:write
PATCH
/
v1
/
pipelines
/
{id}
Atualizar pipeline
Autorizações
Access token OAuth 2.1.
Parâmetros de caminho
UUID do recurso.
Corpo
application/json
Resposta
Pipeline atualizado com sucesso.
Show child attributes
Show child attributes